Page MenuHomePhabricator

codfw 3x spares for cassandra encryption testing
Closed, ResolvedPublic

Description

while we are waiting for hw to ship to codfw we can claim some spare hardware in codfw to test encryption together with the staging cluster in eqiad. once testing is done and production hw is in place the spares will be returned (3 or 4 weeks).
from the spares list 3x of "Dell PowerEdge R420, Dual Intel Xeon E5-2440, 32 GB Memory, (2) 500GB Disks" would work for this

Details

Related Gerrit Patches:

Event Timeline

fgiunchedi assigned this task to RobH.
fgiunchedi raised the priority of this task from to Medium.
fgiunchedi updated the task description. (Show Details)
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 3 2015, 4:17 PM
RobH added a comment.Sep 3 2015, 4:30 PM

What hardware are we waiting on shipment to codfw? The recent restbase expansion order was entirely for eqiad.

The recent restbase expansion order was entirely for eqiad.

Umm, that surprises me. Those six nodes are meant to go to codfw, so that we can start replicating there.

The recent restbase expansion order was entirely for eqiad.

Umm, that surprises me. Those six nodes are meant to go to codfw, so that we can start replicating there.

fwiw the order is being changed for codfw

re: original requests I was planning on using these

wmf5845
wmf5846
wmf5848

The recent restbase expansion order was entirely for eqiad.

Umm, that surprises me. Those six nodes are meant to go to codfw, so that we can start replicating there.

fwiw the order is being changed for codfw
re: original requests I was planning on using these

wmf5845
wmf5846
wmf5848

of these only wmf5845 mgmt has entries in dns, 5846 and 5848 show up in racktables but I couldn't find mgmt address, @Papaul do you know what should I use?

Papaul added a comment.Sep 7 2015, 2:55 PM

@fgiunchedi wmf5846 and wmf5848 were never used since we moved them form Tampa.If we need to use them we need to go ahead and set and configure mgmt. Please make a ticket and let me know what you need for me to do. Thanks

Papaul added a comment.Sep 8 2015, 3:17 PM

Below are the names of the 3 servers
restbase-test2001
restbase-test2002
restbase-test2003

Change 236812 had a related patch set uploaded (by Filippo Giunchedi):
Add DNS entries for restbase-test200[1-3]

https://gerrit.wikimedia.org/r/236812

Change 236812 merged by Dzahn:
Add DNS entries for restbase-test200[1-3]

https://gerrit.wikimedia.org/r/236812

Change 237338 had a related patch set uploaded (by Filippo Giunchedi):
install_server: provision restbase-test2* with raid1

https://gerrit.wikimedia.org/r/237338

Change 237338 merged by Filippo Giunchedi:
install_server: provision restbase-test2* with raid1

https://gerrit.wikimedia.org/r/237338

Change 237347 had a related patch set uploaded (by Filippo Giunchedi):
cassandra: add restbase-test200[1-3] spares

https://gerrit.wikimedia.org/r/237347

Change 237347 merged by Filippo Giunchedi:
cassandra: add restbase-test200[1-3] spares

https://gerrit.wikimedia.org/r/237347

fgiunchedi closed this task as Resolved.Sep 15 2015, 11:43 AM

machines are setup